// Copyright 2023, Collabora, Ltd.
// SPDX-License-Identifier: BSL-1.0

#include "comp_mipmap.h"

#include "nvpro_pyramid_dispatch.hpp"

void
comp_do_mipmaps(VkCommandBuffer cmdBuf,
                VkPipeline fast_pipeline,
                VkPipeline general_pipeline,
                VkPipelineLayout layout,
                uint32_t width,
                uint32_t height,
                uint32_t mip_levels)
{
	nvproCmdPyramidDispatch(cmdBuf,
	                        NvproPyramidPipelines{
	                            .generalPipeline = general_pipeline,
	                            .fastPipeline = fast_pipeline,
	                            .layout = layout,
	                            .pushConstantOffset = 0,
	                        },
	                        width, height, mip_levels);
}
